Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ow2.jasmine.vmm.api
Enum HostMXBean.HostPowerState

    java.lang.Object
      java.lang.Enum<HostMXBean.HostPowerState>
          org.ow2.jasmine.vmm.api.HostMXBean.HostPowerState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HostMXBean.HostPowerState>

Enclosing interface:
  HostMXBean

    public static enum HostMXBean.HostPowerState

extends java.lang.Enum<HostMXBean.HostPowerState>

Different states of a host.

Enum Constant Summary
`HALTED` the virtual machine is halted
`NOT_RESPONDING` the state of the host is not responding
`RUNNING` The host is running
`UNKNOWN` the state of the host is unknown

Method Summary
`static HostMXBean.HostPowerState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HostMXBean.HostPowerState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HALTED

    public static final HostMXBean.HostPowerState HALTED

  the virtual machine is halted

### RUNNING

    public static final HostMXBean.HostPowerState RUNNING

  The host is running

### NOT_RESPONDING

    public static final HostMXBean.HostPowerState NOT_RESPONDING

  the state of the host is not responding

### UNKNOWN

    public static final HostMXBean.HostPowerState UNKNOWN

  the state of the host is unknown

Method Detail

### values

    public static HostMXBean.HostPowerState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HostMXBean.HostPowerState c : HostMXBean.HostPowerState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HostMXBean.HostPowerState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 OW2 Consortium. All Rights Reserved.